summaryrefslogtreecommitdiff
path: root/.config/ranger/scope.sh
diff options
context:
space:
mode:
Diffstat (limited to '.config/ranger/scope.sh')
-rwxr-xr-x.config/ranger/scope.sh24
1 files changed, 12 insertions, 12 deletions
diff --git a/.config/ranger/scope.sh b/.config/ranger/scope.sh
index 4ad52aad..e24b514a 100755
--- a/.config/ranger/scope.sh
+++ b/.config/ranger/scope.sh
@@ -154,10 +154,10 @@ handle_image() {
exit 7;;
## Video
- # video/*)
- # # Thumbnail
- # ffmpegthumbnailer -i "${FILE_PATH}" -o "${IMAGE_CACHE_PATH}" -s 0 && exit 6
- # exit 1;;
+ video/*)
+ # Thumbnail
+ ffmpegthumbnailer -i "${FILE_PATH}" -o "${IMAGE_CACHE_PATH}" -s 0 && exit 6
+ exit 1;;
## PDF
application/pdf)
@@ -171,14 +171,14 @@ handle_image() {
## ePub, MOBI, FB2 (using Calibre)
- # application/epub+zip|application/x-mobipocket-ebook|\
- # application/x-fictionbook+xml)
- # # ePub (using https://github.com/marianosimone/epub-thumbnailer)
- # epub-thumbnailer "${FILE_PATH}" "${IMAGE_CACHE_PATH}" \
- # "${DEFAULT_SIZE%x*}" && exit 6
- # ebook-meta --get-cover="${IMAGE_CACHE_PATH}" -- "${FILE_PATH}" \
- # >/dev/null && exit 6
- # exit 1;;
+ application/epub+zip|application/x-mobipocket-ebook|\
+ application/x-fictionbook+xml)
+ # ePub (using https://github.com/marianosimone/epub-thumbnailer)
+ epub-thumbnailer "${FILE_PATH}" "${IMAGE_CACHE_PATH}" \
+ "${DEFAULT_SIZE%x*}" && exit 6
+ ebook-meta --get-cover="${IMAGE_CACHE_PATH}" -- "${FILE_PATH}" \
+ >/dev/null && exit 6
+ exit 1;;
## Font
application/font*|application/*opentype)